#!/usr/bin/env python
# -*- coding: utf-8 -*-
from builtins import object
import time

from db_paribhasha import PynamoBaseModel, credentials
from pynamodb.attributes import (JSONAttribute, NumberAttribute,
                                 UnicodeAttribute)


class ImportWorkflow(PynamoBaseModel):
    """
    Dynamo DB model for Import Workflows.
    An import ID corresponds to one import by a user in an organization.
    """

    class Meta(object):
        table_name = credentials.DYNAMO_IMPORT_WF_TABLE
        region = credentials.DYNAMO_REGION

    org_id = NumberAttribute(hash_key=True)
    user_email = UnicodeAttribute(null=False)
    created_ts = NumberAttribute(
        null=False, default=int(round(time.time() * 1000)))
    calculated_id = UnicodeAttribute(range_key=True)
    modified_ts = NumberAttribute(
        null=False, default=int(round(time.time() * 1000)))
    user_data = JSONAttribute(null=False)
    stage = JSONAttribute(null=False, default=[])
    project_id = NumberAttribute(null=False)
    import_data = JSONAttribute(null=False)
    output_data = JSONAttribute(null=False, default=[])
    import_adapter_id = UnicodeAttribute(null=False)
