#!/usr/bin/env python
# -*- coding: utf-8 -*-

import os
import time

from pynamodb.attributes import JSONAttribute, UnicodeAttribute

from db_paribhasha.credentials import DYNAMO_STUDIO_VIZ_LOGS_DB, DYNAMO_REGION_VIZ
from db_paribhasha.base_models.pynamo_base_model import PynamoBaseModel


class StudioVisualisationLogs(PynamoBaseModel):
    """
    Dynamo DB model for the studio visualisation table 
    containing latest charts
    """
    class Meta(object):
        table_name = DYNAMO_STUDIO_VIZ_LOGS_DB
        region = DYNAMO_REGION_VIZ
        aws_access_key_id = None
        aws_secret_access_key = None
        aws_session_token = None

    studio_viz_id = UnicodeAttribute(null=False,
                                     hash_key=True,
                                     attr_name='studio-viz-id')
    timestamp = UnicodeAttribute(null=False, range_key=True)
    chart_url = JSONAttribute(null=False)
    status = UnicodeAttribute(null=False)
    message = UnicodeAttribute()
