#!/usr/bin/env python
# -*- coding: utf-8 -*-

from mongoengine import StringField, DynamicDocument, \
                        BooleanField, DateTimeField


class AnalysisDashboards(DynamicDocument):
    """
    ODM class for MongoEngine Model.

    Parameters
    ----------
    DynamicDocument : Class
        Dynamic Mongo Class.
    """

    document_id = StringField(primary_key=True, required=True)

    analysis_id = StringField()
    workspace_id = StringField()

    sandboxed_dashboard_id = StringField()
    shared_dashboard_id = StringField()
    dashboard_name = StringField()

    created_by = StringField()
    modified_by = StringField()

    dashboard_shared = BooleanField()
    status = StringField()
    last_modified = DateTimeField()
